%define	_name	dbp

Name:		dbp-gimp
Version:	1.1.9
Release:	%mkrel 6
Url:		http://members.ozemail.com.au/~hodsond/dbp.html
Source:		http://www.ozemail.com.au/~hodsond/%{_name}Src-1-1-9.tgz
Summary:	David's Batch Processor gimp plugin
License:	GPLv2+
Group:		Graphics/Utilities

BuildRequires:	gimp-devel
Requires:	gimp

Provides:	%{_name} = %{version}

Obsoletes:	%{_name}
Obsoletes:	gimp-plugin-registry

%description
DBP (David's Batch Processor) is a simple batch processing 
plugin for the Gimp - it allows the user to automatically 
perform operations (such as resize) on a collection of 
image files. 
Its main advantage is that the user does not have to learn 
a scripting language. Like the Gimp itself, DBP relies on 
a graphical interface. The user creates a list of images, 
and sets up the processing required for each image. 
The results of the current settings can be displayed. 
Once the required sequence of operations has been set up, 
DBP performs the same processing on each image in turn. 
The images can be colour corrected, resized, cropped, 
and sharpened, then renamed and saved to a different file 
in a specified image format. 
All the steps (except loading and saving the image!) are optional; 
so the simplest use of DBP is just to convert a number of image 
files from one format to another.

Note that DBP is intended for RGB, not indexed images. 
Trying to process an indexed image will probably just cause an error, 
and DBP will halt. 
Also, DBP will not overwrite the original image 
(in fact, it should not overwrite any file) - 
images must at least be either renamed (possibly by changing 
the image format) or moved to a different directory.

%prep
%setup -q -n %{_name}-%{version}

%build
%setup_compile_flags
export CPPFLAGS="$CXXFLAGS"
%make

%install
mkdir -p %{buildroot}
install -D -m755 %{_name} %{buildroot}%{_libdir}/gimp/2.0/plug-ins/%{_name}

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/gimp/2.0/plug-ins/%{_name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1.9-6.mga4
+ Revision: 521722
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.1.9-5.mga3
+ Revision: 391803
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 matteo <matteo> 1.1.9-3.mga3
+ Revision: 261723
- use %%setup_compile_flags

* Wed Jan 18 2012 matteo <matteo> 1.1.9-2.mga2
+ Revision: 197987
- obsoletes gimp-plugin-registry (bugs mga#3077 and mga#4189)

* Sun Jan 15 2012 matteo <matteo> 1.1.9-1.mga2
+ Revision: 196414
- fixed provides
- imported package dbp-gimp

